%global momorel 2

Summary: Gnome Interface to Subversion
Name: gnubversion
Version: 0.5
Release: %{momorel}m%{?dist}
Group: Applications/System
License: GPLv3
URL: https://sourceforge.net/projects/gnubversion 
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
NoSource: 0
Patch0: %{name}-%{version}-icon.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
PreReq: gtk2
Requires: nautilus
BuildRequires: e2fsprogs-devel
BuildRequires: libgnomeui-devel
BuildRequires: librsvg2
BuildRequires: nautilus-devel
BuildRequires: subversion-devel

%description
GnubVersion is a GNOME interface to Subversion. It integrates with the
Nautilus file manager to allow access to (eventually) all subversion
client-side functions, without having to resort to the command line.

Provides graphical equivalents to "svn checkout", "svn update" etc.

%prep
%setup -q

%patch0 -p1 -b .fix-menu-icon

%build
%configure --disable-static

# Remove Rpath
sed -i 's|^hardcode_libdir_flag_spec="\\${wl}--rpath \\${wl}\\$libdir"|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} CPPROG='install -p'

# Place the libraries where they belong, so that
# we don't rely on rpath uselessly
mv %{buildroot}%{_libdir}/%{name}/*.so.* %{buildroot}%{_libdir}/
rm -rf %{buildroot}%{_libdir}/%{name}

# Remove default installed docs
rm -rf %{buildroot}%{_docdir}

# Remove libtool archives
find %{buildroot} -name '*.la' -exec rm -f {} ';'

# Fix .desktop file
echo "Encoding=UTF-8" >> %{buildroot}%{_datadir}/applications/gvn-checkout.desktop

# Fix relative-link issue
pushd %{buildroot}%{_datadir}/icons/hicolor/24x24/apps
for imgs in gvn-commit.png gvn-update.png gvn-add.png gvn-remove.png gvn-revert.png ; do
        unlink %{buildroot}%{_datadir}/%{name}/$imgs
        ln -s $imgs %{buildroot}%{_datadir}/%{name}/$imgs
done
popd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/gvn-*
%{_libdir}/nautilus/extensions-1.0/libnautilus-%{name}.so*
%{_libdir}/lib%{name}.so.*
%{_datadir}/applications/gvn-checkout.desktop
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/??x??/apps/gvn-*.png
%{_datadir}/icons/hicolor/scalable/apps/gvn-*.svg

%changelog
* Sat May 16 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5-2m)
- fix broken icon of menu entry
- PreReq: gtk2
- sort BR
- sort %%files
- remove desktop-file-install section from %%install
- remove BR: desktop-file-utils
- do not remove static libraries in %%install, use --disable-static already

* Sun Feb  1 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5-1m)
- import from Fedora to Momonga
- change Requires: nautilus-extensions to nautilus

* Thu Jan 08 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.5-5
- Fix BRs.

* Thu Jan 08 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.5-4
- Place the library to libdir

* Sun Jul 27 2008 Xavier Lamien <lxtnow[at]gmail.com - 0.5-3
- Remove redundant BR.

* Sun Jan 20 2008 Xavier Lamien <lxtnow[at]gmail.com> - 0.5-2
- Added Scriptlets.

* Sat Jan 19 2008 Xavier Lamien <lxtnow[at]gmail.com> - 0.5-1
- Initial RPM Release.
